Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Member Functions | List of all members
osmium::not_found Struct Reference

`#include <index.hpp>`

Inheritance diagram for osmium::not_found:
[legend]
Collaboration diagram for osmium::not_found:
[legend]

## Public Member Functions
| not_found (const std::string &what)
| not_found (const char *what)
| not_found (uint64_t id)

## Detailed Description

Exception signaling that an element could not be found in an index.

## Constructor & Destructor Documentation

## ◆ not_found() [1/3]

osmium::not_found::not_found | ( | const std::string & | what | ) |
| inline explicit

## ◆ not_found() [2/3]

osmium::not_found::not_found | ( | const char * | what | ) |
| inline explicit

## ◆ not_found() [3/3]

osmium::not_found::not_found | ( | uint64_t | id | ) |
| inline explicit

The documentation for this struct was generated from the following file:

- include/osmium/index/index.hpp